Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DbThreadID Constructor
DbThreadID Class See Also

Instantiate a new DbThreadID object

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public DbThreadID(
    	int pid,
    	uint tid
    )

Visual Basic (Declaration)
    Public Sub New ( _
    	pid As Integer, _
    	tid As UInteger _
    )

Visual C++
    public:
    DbThreadID(
    	int pid,
    	unsigned int tid
    )

#### Parameters

pid
  Type: System..::.Int32
  The Process ID of the thread of control

tid
  Type: System..::.UInt32
  The Thread ID of the thread of control

# See Also

DbThreadID Class
BerkeleyDB Namespace